XEN-UPDATE-IMAGE(8)

NAME
xen-update-image - Update the software installed upon offline Xen images.

SYNOPSIS
  xen-update-image [options] imageName1 imageName2 .. imageNameN

  Help Options:
   --help      Show this scripts help information.
   --manual    Read this scripts manual.
   --version   Show the version number and exit.

  General Options:
   --dir       Specify the directory which contains the image(s).
   --lvm       Specify the LVM volume group which contains the image(s).
   --evms      Specify the EVMS container which contains the image(s).

OPTIONS

--dir Specify the directory which contains the image(s).
--evms Specify the EVMS container which contains the image(s).
--help Show the script help.
--lvm Specify the LVM volume group which contains the image(s).
--manual Read the manual.
--version Show the version number and exit.

DESCRIPTION
  xen-update-image is a simple script which allows you to update
 a Xen image of Debian which has been created with xen-create-image.

  It does this by mounting the image inside a temporary directory
 then running:

      apt-get update

      apt-get upgrade

  NOTE If the image is already running within Xen this will cause
 corruption otherwise it will allow you to update your image without
 booting it.

EXAMPLES
  The following assumes there are two images which are not currently
 running.  The images are called 'test.my.flat', and 'x11.my.flat'.

  Updating both images can be accomplished by executing:

     xen-update-images --dir=/home/xen test.my.flat x11.my.flat

AUTHORS
 Steve Kemp, https://steve.fi/
 Axel Beckert, https://axel.beckert.ch/
 Stéphane Jourdois

LICENSE
Copyright (c) 2005-2009 by Steve Kemp, (c) 2010 by The Xen-Tools Development Team. All rights reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The LICENSE file contains the full text of the license.